| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# tgroup

$Revision: 1.3 $

$Date: 2002/06/12 11:18:40 $

tgroup — A wrapper for the main content of a table, or part of a table

## Synopsis

### Content Model

    tgroup ::=
    (colspec*,spanspec*,thead?,tfoot?,tbody)

### Attributes

Common attributes

Name | Type | Default
char | CDATA | None
charoff | CDATA | None
tgroupstyle | CDATA | None
cols | CDATA | Required
colsep | CDATA | None
rowsep | CDATA | None

align

Enumeration:
center
char
justify
left
right

None

## Description

A `TGroup` surrounds a logically complete portion of a table. Most tables consist of a single `TGroup`, but complex tables with widely varying column specifications may be easier to code using multiple `TGroup`s.

The `TGroup` specifies the number of columns in the table, and contains all of the header, body, and footer rows, along with any additional column or span specifications necessary to express the geometry of the table.

Most of the properties of rows, columns, and cells inherit their default characteristics from the enclosing `TGroup`.

### Processing expectations

This element is expected to obey the semantics of the CALS Table Model Document Type Definition, as specified by OASIS Technical Memorandum TM 9502:1995 .

### Parents

These elements contain tgroup: `informaltable`, `table`.

### Children

The following elements occur in tgroup: `colspec`, `spanspec`, `tbody`, `tfoot`, `thead`.

## Attributes

align

  `Align` specifies the horizontal alignment of `Entry`s (or `EntryTbl`s) in cells of the `TGroup`. If `Char` is specified, see also `Char` and `CharOff`. Individual columns, spans, and cells can provide an alternate alignment.

char

  `Char` specifies the alignment character when the `Align` attribute is set to `Char`.

charoff

  `CharOff` specifies the percentage of the column's total width that should appear to the left of the first occurance of the character identified in `Char` when the `Align` attribute is set to `Char`.

cols

  `Cols` specifies the number of columns in the table.

colsep

  If `ColSep` has the value 1 (true), then a rule will be drawn to the right of all columns in this `TGroup`. A value of 0 (false) suppresses the rule. The rule to the right of the last column in the table is controlled by the `Frame` attribute of the enclosing `Table` or `InformalTable` and not the `ColSep`.

rowsep

  If `RowSep` has the value 1 (true), then a rule will be drawn below all the rows in this `TGroup` (unless other, interior elements, suppress some or all of the rules). A value of 0 (false) suppresses the rule. The rule below the last row in the table is controlled by the `Frame` attribute of the enclosing `Table` or `InformalTable` and the `RowSep` of the last row is ignored. If unspecified, this attribute is inherited from enclosing elements.

tgroupstyle

  `TGroupstyle` holds the name of a table group style defined in a stylesheet (e.g., a FOSI) that will be used to process this document.

## See Also

`colspec`, `entry`, `entrytbl`, `informaltable`, `row`, `spanspec`, `table`, `tbody`, `tfoot`, `thead`.

## Examples

For examples, see `entrytbl`, `footnoteref`, `informaltable`, `table`.

tfoot |  | thead

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.